%global forgeurl https://github.com/debrouxl/tfdocgen
%global commit a9d4bf89b9a54cdbddb970b3079d802a34d69cdb

Name:           tfdocgen
Version:        1.00
Release:    	2%{?dist}
Summary:        TiLP framework documentation generator

License:        GPLv2+
URL:            %{forgeurl}/tfdocgen-a9d4bf89b9a54cdbddb970b3079d802a34d69cdb.tar.gz
Source0:        tfdocgen-a9d4bf89b9a54cdbddb970b3079d802a34d69cdb.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  glib2-devel

%description
The tfdocgen program is a program used by the libti* libraries to generate
their HTML documentation from sources and misc files. You don't need this
package unless you want to develop on the libti* libraries.

%prep
%autosetup -n %{name}-%{commit}/trunk

%build
autoreconf -ifv
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Sep 3 2024 Ze Zhang <bbrucezhang@tencent.com> - 1.00-2
- [Type] other
- [DESC] Remove not used macors

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.00-1
- initial build
